LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XExporter Interface Referencepublished

makes it possible to connect a document with an ExportFilter More...

`import"XExporter.idl";`

Inheritance diagram for XExporter:

## Public Member Functions
void | setSourceDocument ([in] com::sun::star::lang::XComponent Document) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the source document for the exporter More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to connect a document with an ExportFilter

An ExportFilter must know the source of his filter operation. To set this on a filter is part of this interface. Same mechanism exist for import too.

See also
  ExportFilter
  ImportFilter
  XImporter

## Member Function Documentation

## ◆ setSourceDocument()

void setSourceDocument | ( | [in] com::sun::star::lang::XComponent | Document | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

sets the source document for the exporter

Parameters

  Document | the source document

Exceptions

  com::sun::star::lang::IllegalArgumentException | if Document does not support any service which is supported by this exporter

The documentation for this interface was generated from the following file:

- com/sun/star/document/XExporter.idl